import { ApiRenderApiType } from "../ApiRenderCache";
export type ApiRenderOptionsConfig = {
    labelKey?: string;
    valueKey?: string;
    api: ApiRenderApiType;
};
export type ApiRenderOptionsType = {
    [key: string]: ApiRenderOptionsConfig | ApiRenderApiType;
};
export declare const apiOptions: ApiRenderOptionsType;
/**
 * 获取 api 响应式数据缓存值
 * @param apiKey api 数据缓存 key
 */
export declare function getApiMapRefValue(apiKey: string | number | symbol): any;
/**
 * 设置 api 项
 */
export declare function setApiRenderOptions<T extends ApiRenderOptionsType>(ops: T): {
    renderApiValue: (apiKey: keyof T, value: any, valueKey?: string, labelKey?: string) => any;
};
/**
 * 先判断有没有缓存再获取 api 数据并放到 api 响应式缓存中
 * @param apiOptions api 项
 * @param apiKey api 缓存 key
 */
export declare function getApiDataIfNot<T extends ApiRenderOptionsType>(apiOptions: T, apiKey: keyof T): void;
/**
 * 获取 api 的 label 关键字，如果存在 labelKey 则返回 labelKey
 * @param apiKey api 缓存 key
 * @param labelKey 覆盖的 label 关键字
 */
export declare function getLabelKey(apiKey: string | number | symbol, labelKey?: string): string;
/**
 * 获取 api 的 value 关键字，如果存在 valueKey 则返回 valueKey
 * @param apiKey api 缓存 key
 * @param valueKey 覆盖的 value 关键字
 */
export declare function getValueKey(apiKey: string | number | symbol, valueKey?: string): string;
